MEMCPY(3)

NAME
memcpy - copy byte string

LIBRARY
libc

SYNOPSIS
#include <string.h>
void *
memcpy(void *dst, const void *src, size_t len);
void *
mempcpy(void *dst, const void *src, size_t len);

DESCRIPTION
The memcpy() and mempcpy() functions copy len bytes from string src to string dst. If src and dst overlap, the results are not defined.

RETURN VALUES
The memcpy() function returns the original value of dst.

The mempcpy() function returns a pointer to the byte after the last written byte.

SEE ALSO
bcopy(3), memccpy(3), memmove(3), strcpy(3), wmemcpy(3) wmempcpy(3)

STANDARDS
The memcpy() function conforms to isoC.